Bug 475892 - rhino.jar in java.ext.dirs makes programs using rhino 1.7 fail
rhino.jar in java.ext.dirs makes programs using rhino 1.7 fail
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Rodney Russ
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-10 17:33 EST by Martin Blom
Modified: 2010-07-27 13:13 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-27 13:13:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Icedtea Bugzilla 179 None None None Never

  None (edit)
Description Martin Blom 2008-12-10 17:33:38 EST
Description of problem:
I have a project that bundles Rhino 1.7, which fails to start in F10 because of the symlink /usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0.x86_64/jre/lib/rhino.jar. The easiest way to reproduce the problem is to try to start the Rhino 1.7 shell using "java -jar js.jar".

Version-Release number of selected component (if applicable):
java-1.6.0-openjdk-1.6.0.0-7.b12.fc10.x86_64

How reproducible:


Steps to Reproduce:
1. Download Rhino 1.7 (js.jar in ftp://ftp.mozilla.org/pub/mozilla.org/js/rhino1_7R1.zip)
2. java -jar js.jar
3.
  
Actual results:
Rhino 1.6 release 0.1.r5.1.3.fc10 2008 07 10
js> 

Expected results:
Rhino 1.7 release 1 2008 03 06
js>

Additional info:
Comment 1 Mark Wielaard 2008-12-11 05:19:30 EST
This is upstream bug: http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=179
Comment 2 Bug Zapper 2009-11-18 04:39:55 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Mark Wielaard 2009-11-18 04:53:08 EST
There isn't a plan currently to fix it (well, there is a plan, there is just nobody that is planning to do the work), but it is a real bug that is still an issue. See also the upstream report: http://icedtea.classpath.org/bugzilla/show_bug.cgi?id=179
Comment 4 Fedora Update System 2010-03-13 12:52:03 EST
java-1.6.0-openjdk-1.6.0.0-33.b17.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-33.b17.fc11
Comment 5 Fedora Update System 2010-03-13 12:54:09 EST
java-1.6.0-openjdk-1.6.0.0-36.b17.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-36.b17.fc12
Comment 6 Fedora Update System 2010-03-15 05:29:43 EDT
java-1.6.0-openjdk-1.6.0.0-35.b17.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/java-1.6.0-openjdk-1.6.0.0-35.b17.fc13
Comment 7 Bug Zapper 2010-03-15 08:20:59 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora Update System 2010-03-15 20:41:26 EDT
java-1.6.0-openjdk-1.6.0.0-33.b17.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2010-03-15 20:45:30 EDT
java-1.6.0-openjdk-1.6.0.0-36.b17.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2010-03-23 19:28:05 EDT
java-1.6.0-openjdk-1.6.0.0-35.b17.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Deepak Bhole 2010-07-27 13:13:24 EDT
This is fixed in the current Fedora release.

Note You need to log in before you can comment on or make changes to this bug.